% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo MatRoc.m
% Inicializa o programa

% limpa o espao de trabalho do Matlab
clear all;
close all;

% limpa a janela atual
clc;

% inicializa a varivel botao que controla os tpicos de ajuda
botao=0;

% cria a janela de apresentao do programa
janela_apres = figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.25 0.25 0.5 0.5],...
   'Name','MatROC - Formao de FMC''s',...
   'Pointer','arrow');

set(0,'Current',janela_apres);

% posicionamento do texto
uiTexto01 = uicontrol(...
   'Parent',janela_apres,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.2 0.86 0.6 0.14],...
   'FontName','Helvetica',...
   'FontWeight','bold',...
   'FontSize',13,...
   'String','Universidade de Braslia Faculdade de Tecnologia');

uiTexto02 = uicontrol(...
   'Parent',janela_apres,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.2 0.81 0.6 0.05],...
   'FontName','Helvetica',...
   'FontWeight','bold',...
   'FontSize',9,...
   'String','GRACO-Grupo de Automao e Controle');


uiTexto03 = uicontrol(...
   'Parent',janela_apres,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0 0.5 1 0.31],...
   'FontName','Helvetica',...
   'FontAngle','italic',...
   'FontWeight','bold',...
   'FontSize',50,...
   'String','MatROC');

uiTexto04 = uicontrol(...
   'Parent',janela_apres,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0 0.41 1 0.09],...
   'FontName','Helvetica',...
   'FontWeight','bold',...
   'FontSize',12,...
   'String','Desenvolvido por:');

uiTexto05 = uicontrol(...
   'Parent',janela_apres,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0 0.34 1 0.07],...
   'FontName','Helvetica',...
   'FontWeight','bold',...
   'FontSize',12,...
   'String','Guilherme Novaes Ramos');

uiTexto06 = uicontrol(...
   'Parent',janela_apres,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0 0 1 0.34],...
   'FontName','Helvetica',...
   'FontWeight','bold',...
   'FontSize',12,...
   'String','Alvaro Michel Tamayo');

% testa a se a janela  de inicializao ou de ajuda
if (botao == 0)
   callContinua = [...
         'close(gcf);'...
         'Principal;'];
else
   callContinua = [...
         'close(gcf);'];
end;

% cria o boto para continuar
uiContinua = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.35 0.1 0.3 0.1],...
   'String','Iniciar',...
   'Callback',callContinua);


% cria "eixos" para o posicionamento da figura
eixos = axes(...
   'Units','normalized',...
   'YDir','reverse',...
   'View',[0 90],...
   'Position',[0.01 .1 .9 0.9]...
);

% posicionamento do logotipo da UnB
axis([0 522 0 222]);
hold on;
Imagem=imread('logounb.jpg');
image(Imagem);
axis off;

% cria "eixos" para o posicionamento da figura
eixos = axes(...
   'Units','normalized',...
   'YDir','reverse',...
   'XDir','reverse',...
   'View',[0 90],...
   'Position',[0.01 .1 .99 0.9]...
);   

% posicionamento do logotipo do GRACO
axis([0 600 0 600]);
hold on;
Imagem=imread('logograco.jpg');
image(Imagem);
axis off;