% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Teste_LC.m
% Testa se os valores para as dimenses da nova MI so vlidos

if ( coluna > 0 & linha >0 )   
   clear Maquina;
   Maquina=1:linha;
   Maquina=Maquina.';
   clear Peca;
   Peca=1:coluna;
   Nova_MI;
else % Valores invlidos
   coluna=5;
   linha=5;
   MI=zeros(linha,coluna);
   Peca=1:coluna;
   Maquina=(1:linha).';
   
   % Abre a janela de aviso   
   janela_aviso = figure(...
      'Unit','normalized',...
      'Visible','on',...
      'NumberTitle','off',...
      'Position',[0.25 0.3 0.5 0.25],...
      'Name','Valores Invlidos',...
      'Pointer','arrow'...
      );
   set(0,'Current',janela_aviso);
   
   % Cria as reas de texto
   uiTexto01 = uicontrol(...
      'Parent',janela_aviso,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.6 1 0.4],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'FontSize',20,...
      'String','Valores INVLIDOS!'...
      );
   uiTexto02 = uicontrol(...
      'Parent',janela_aviso,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.6],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'String','Os valores devem ser inteiros positivos.'...
      );
      
   % Cria o boto
   callContinua = [...
         'close(janela_aviso);',...
         'Mostra_MI(MI);'];
   uiContinua = uicontrol(...
      'Style','push',...
      'Units','normalized',...
      'Position',[0.3 0.06 0.4 0.2],...
      'String','Continua',...
      'Callback',callContinua);
end; %else


