% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo abre_salva_MI_roc.m
% Abre ou salva a MI em um arquivo *.m

% Abre a janela de endereo
janela_endereco = figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.25 0.425 0.35 0.15],...
   'Name','Endereo:',...
   'Pointer','arrow'...
   );
set(0,'Current',janela_endereco);

% Cria a rea de texto
je_texto1 = uicontrol(...
   'Parent',janela_endereco,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.2 0.19],...
   'Horizontal','left',...
   'String','Diretrio:'...
   );
je_prompt1 = uicontrol(...
   'Parent',janela_endereco,...
   'Style','edit',...
   'Units','normalized',...
   'Position',[0.3 0.7 0.6 0.19],...
   'Horizontal','left',...
   'String',' '...
   );
je_texto2 = uicontrol(...
   'Parent',janela_endereco,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.2 0.19],...
   'Horizontal','left',...
   'String','Arquivo:'...
   );
je_prompt2 = uicontrol(...
   'Parent',janela_endereco,...
   'Style','edit',...
   'Units','normalized',...
   'Position',[0.3 0.5 0.6 0.19],...
   'Horizontal','left',...
   'String',' '...
   );

% Cria botes de comandos para aceitar ou cancelar
callAceita = [...
      'diretorio = get(je_prompt1,''String'');'...
      'arquivo = get(je_prompt2,''String'');'...
      'testa_end_roc;'...
      'close(janela_endereco);'... 
      'mostra_MI_roc;'...
      'return;'...
   ];
uiAceita = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.2 0.06 0.2 0.3],...
   'String','Aceita',...
   'Callback',callAceita...
   );

callCancela = [...
      'close(janela_endereco);'...
      'return;'...
   ];
uiCancela = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.6 0.06 0.2 0.3],...
   'String','Cancela',...
   'Callback',callCancela...
   );
