% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Ajuda_2.m 
% Exibe o texto de ajuda do tpico especificado

% Exibe a janela
janela_Ajuda_2=figure(...
   'Unit','normalized',...
   'NextPlot','add',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.3,0.3,0.4,0.4],... 
   'Name','Ajuda - Algoritmo ROC',...
   'Pointer','arrow');
set(0,'Current',janela_Ajuda_2);

% Exibio da mensagem de ajuda
switch botao
case 1
   uiTexto01=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.8 1 0.2],...
      'FontName','Helvetica',...
      'FontSize',12,...
      'FontWeight','bold',...
      'String','Ajuda sobre Nova MI:');
   uiTexto02=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.7 1 0.15],...
      'String','Este boto  usado para entrar uma nova Matriz de Incidncia a ser ordenada.');
   uiTexto03=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.55 1 0.15],...
      'String','Primeiramente, devem ser entradas as dimenses da MI: n de mquinas X n de peas (o boto "Exemplo" gera uma MI-exemplo).');
   uiTexto04=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.4 1 0.15],...
      'String','Em seguida, uma matriz com as dimenses especificadas ser disponibilizada: branco=0 e preto=1');
   uiTexto05=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.25 1 0.15],...
      'String','Clicando com o mouse alterna-se o valor do elemento da MI entre 0 e 1 (inicialmente todos tm valor 0).');
   uiTexto06=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.25],...
      'String','Para finalizar, clique em "Aceita".');
case 2
   uiTexto01=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.8 1 0.2],...
      'FontName','Helvetica',...
      'FontSize',12,...
      'FontWeight','bold',...
      'String','Ajuda sobre ... Ordenar MI:');
   uiTexto02=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.7 1 0.15],...
      'String','O boto "Ordenar MI" aplica o algoritmo ROC  Matriz de Incidncia atual (mostrada na parte esquerda da tela).');
   uiTexto03=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.55 1 0.15],...
      'String','A MI original  substituda na tela pela MI ordenada: branco=0 e preto=1');
   uiTexto04=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.4 1 0.15],...
      'String','Vale recordar que a MI apresentada no  necessariamente a melhor soluo... Esta pode precisar de um refinamento.');
   uiTexto05=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.25 1 0.15],...
      'String','Esta representao da MI no mostra a ordem atual das linhas e colunas. Esta ordem pode ser acessada pelo boto "Vetores".');
   uiTexto06=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.25],...
      'String','Os resultados no gravados so perdidos na finalizao do programa ou na entrada de uma nova MI!');
case 3
   uiTexto01=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.8 1 0.2],...
      'FontName','Helvetica',...
      'FontSize',12,...
      'FontWeight','bold',...
      'String','Ajuda sobre ... Vetores:');
   uiTexto02=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.7 1 0.15],...
      'String','O boto "Vetores" apresenta de uma forma diferente a Matriz de Incidncia ordenada.');
   uiTexto03=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.55 1 0.15],...
      'String','Neste caso, ela  apresentada na forma de zeros e uns (exceto a primeira coluna e a primeira linha)');
   uiTexto04=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.4 1 0.15],...
      'String','A primeira linha e a primeira coluna correspondem, respectivamente,  ordem final das linhas e das colunas da MI original');
   uiTexto05=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.25 1 0.15],...
      'String','Esta representao da MI ordenada pode ser impressa (boto "Imprimir").');
   uiTexto06=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.25],...
      'String','O boto "Continua" permite voltar ao ambiente principal do programa.');
case 4
   uiTexto01=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.8 1 0.2],...
      'FontName','Helvetica',...
      'FontSize',12,...
      'FontWeight','bold',...
      'String','Ajuda sobre ... Salvar:');
   uiTexto02=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.7 1 0.15],...
      'String','Este boto grava os resultados (formatados) da aplicao do algoritmo ROC em um arquivo texto (.txt).');
   uiTexto03=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.55 1 0.15],...
      'String','Devem ser especificados o diretrio e o arquivo:');
   uiTexto04=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.4 1 0.15],...
      'String','Exemplo:							        Diretrio:		c:\dir1\dir2\');
   uiTexto05=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.25 1 0.15],...
      'String','Arquivo:		teste.txt'...
      );
   uiTexto06=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.3],...
      'String','Uma mensagem de  ativada em caso de diretrio inexistente ou arquivo j existente.');
case 5
   uiTexto01=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.8 1 0.2],...
      'FontName','Helvetica',...
      'FontSize',12,...
      'FontWeight','bold',...
      'String','Ajuda sobre ... Abrir:');
   uiTexto02=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.7 1 0.15],...
      'String','Este boto recupera uma Matriz de Incidncia gravada (formatada) em um arquivo texto (.txt).');
   uiTexto03=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.55 1 0.15],...
      'String','Devem ser especificados o diretrio e o arquivo:');
   uiTexto04=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.4 1 0.15],...
      'String','Exemplo:							        Diretrio:		c:\dir1\dir2\');
   uiTexto05=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.25 1 0.15],...
      'String','Arquivo:		teste.txt');
   uiTexto06=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.3],...
      'String','Uma mensagem de erro  ativada nos casos de diretrio ou arquivo inexistentes, ou ainda se a matriz no estiver formatada corretamente.');
case 6
   uiTexto01=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.8 1 0.2],...
      'FontName','Helvetica',...
      'FontSize',12,...
      'FontWeight','bold',...
      'String','Ajuda sobre ... Imprimir:');
   uiTexto02=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.7 1 0.15],...
      'String','Este boto imprime os resultados da aplicao do algoritmo ROC em uma Matriz de Incidncia definida pelo usurio.');
   uiTexto03=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.55 1 0.15],...
      'String','O material impresso  o acessado pelo boto "Vetores".');
   uiTexto04=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.4 1 0.15],...
      'String','A configurao da impresso  feita da mesma forma que em qualquer outro programa que permite impresso.');
   uiTexto05=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.25 1 0.15],...
      'String','Antes de imprimir certifique-se de que uma impressora est conectada e instalada em seu computador.');
   uiTexto06=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.25],...
      'String',' ');
case 7
   uiTexto01=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0.2 0.86 0.6 0.14],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'FontSize',10,...
      'String','Universidade de Braslia Faculdade de Tecnologia'); 
   uiTexto02=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0.2 0.81 0.6 0.05],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'FontSize',7,...
      'String','GRACO-Grupo de Automao e Controle');
   uiTexto03=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.5 1 0.31],...
      'FontName','Helvetica',...
      'FontAngle','italic',...
      'FontWeight','bold',...
      'FontSize',50,...
      'String','MatROC');
   uiTexto04=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.41 1 0.09],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'FontSize',12,...
      'String','Desenvolvido por:');
   uiTexto05=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.34 1 0.07],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'FontSize',12,...
      'String','Guilherme Novaes Ramos');  
   uiTexto06=uicontrol(...
      'Parent',janela_Ajuda_2,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.34],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'FontSize',12,...
      'String','Alvaro Michel Tamayo');
   
   % cria "eixos" para o posicionamento da figura
   eixos=axes(...
      'Units','normalized',...
      'YDir','reverse',...
      'View',[0 90],...
      'Position',[0.01 .1 .9 0.9]);
   
   % posicionamento do logotipo da UnB
   axis([0 522 0 222]);
   hold on;
   Imagem=imread('logounb.jpg');
   image(Imagem);
   axis off;
   
   % cria "eixos" para o posicionamento da figura
   eixos=axes(...
      'Units','normalized',...
      'YDir','reverse',...
      'XDir','reverse',...
      'View',[0 90],...
      'Position',[0.01 .1 .99 0.9]);   
   
   % posicionamento do logotipo do GRACO
   axis([0 600 0 600]);
   hold on;
   Imagem=imread('logograco.jpg');
   image(Imagem);
   axis off;
   
end;

% Boto para fechar
callFechar=[...
      'close(janela_Ajuda_2);'];
uiFechar=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.03 0.2 0.1],...
   'String','Fechar',...
   'Callback',callFechar);