% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Ordenacao.m
% Ordena as linhas e colunas da MI como se fossem vetores binrios

troca=1; % Varivel de teste de ordenao 
while troca
   troca=0;
   % Ordenao das linhas
   for i=2:length(MI(:,1))
      for j=length(MI(:,1)):-1:i
         if bin2dec(sprintf('%d',MI(j-1,:)))<bin2dec(sprintf('%d',MI(j,:)))
            aux=MI(j,:);
            MI(j,:)=MI(j-1,:);
            MI(j-1,:)=aux;
            aux=Maquina(j);
            Maquina(j)=Maquina(j-1);
            Maquina(j-1)=aux;
            troca=1;
         end;
      end;
   end;
   % Ordenao das colunas
   for i=2:length(MI(1,:))
      for j=length(MI(1,:)):-1:i
         if bin2dec( sprintf( '%g',MI(:,j-1) ) ) < bin2dec( sprintf( '%g',MI(:,j) ) )
            aux=MI(:,j);
            MI(:,j)=MI(:,j-1);
            MI(:,j-1)=aux;
            aux=Peca(j);
            Peca(j)=Peca(j-1);
            Peca(j-1)=aux;
            troca=1;
         end;
      end;
   end;
end; %while