
% Abre a janela de aviso   
janela_aviso = figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.25 0.3 0.5 0.25],...
   'Name','Aviso: Endereo Invlido',...
   'Pointer','arrow'...
   );
set(0,'Current',janela_aviso);

% Cria as reas de texto
uiTexto1 = uicontrol(...
   'Parent',janela_aviso,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.8 0.1],...
   'String','Endereo INVLIDO!'...
   );
uiTexto2 = uicontrol(...
   'Parent',janela_aviso,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.6 0.8 0.1],...
   'String',''...
   );
uiTexto3 = uicontrol(...
   'Parent',janela_aviso,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.8 0.1],...
   'String','Este endereo no existe.'...
   );

% Cria o boto
callContinua = [...
      'close(janela_aviso);'...
      'return;'...
   ];
uiContinua = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.3 0.06 0.4 0.2],...
   'String','Continua',...
   'Callback',callContinua...
   );
return;