% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo init_roc.m
% Limpa o espao de trabalho do Matlab e abre a janela inicial

% abre a janela inicial
janela1 = figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.25 0.25 0.5 0.5],...
   'Name','Formao de FMC''s - Algoritmo ROC',...
   'Pointer','arrow'...
   );
set(0,'Current',janela1);

% cria as reas de texto
uiTexto1 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.8 0.8 0.05],...
   'String','SIM - Sistemas Integrados de Manufatura'...
   );
uiTexto2 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.75 0.8 0.05],...
   'String','Ambiente de simulao grfica para a formao de FMC''s.'...
   );
uiTexto3 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.70 0.8 0.05],...
   'String',''...
   );
uiTexto4 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.65 0.8 0.05],...
   'String','Desenvolvido por:'...
   );
uiTexto5 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.60 0.8 0.05],...
   'String','Guilherme Novaes Ramos - 97/23498'...
   );
uiTexto6 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.55 0.8 0.05],...
   'String','Alvaro Michel Tamayo - 97/23331'...
   );
uiTexto7 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.50 0.8 0.05],...
   'String',''...
   );
uiTexto8 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.45 0.8 0.05],...
   'String','Este trabalho utiliza o Algoritmo ROC para organizar uma'...
   );
uiTexto9 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.40 0.8 0.05],...
   'String','matriz de incidncia de mquinas e peas para a'...
   );
uiTexto10 = uicontrol(...
   'Parent',janela1,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.35 0.8 0.05],...
   'String','formao de uma Clula Flexvel de Manufatura.'...
   );

% cria o boto para fechar a janela e abrir o ambiente
if (botao == 0)
   callContinua = [...
         'close(gcf);'...
         'main_roc;'...
         'return;'...
   ];
else
   callContinua = [...
         'close(gcf);'...
         'return;'...
      ];
end;

uiContinua = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.15 0.2 0.1],...
   'String','Continua',...
   'Callback',callContinua...
   );
