% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo testa_valor_roc.m
% Testa se os valores para as dimenses da nova MI so vlidos

if ( coluna > 0 & linha >0 )
   maq_pec_roc;
   nova_MI_roc;
else % Valores invlidos
   coluna=5;
   linha=5;
   MI=zeros(linha,coluna);
   
   % Abre a janela de aviso   
   janela_aviso = figure(...
      'Unit','normalized',...
      'Visible','on',...
      'NumberTitle','off',...
      'Position',[0.25 0.3 0.5 0.25],...
      'Name','Aviso: Valores Invlidos',...
      'Pointer','arrow'...
      );
   set(0,'Current',janela_aviso);
   
   % Cria as reas de texto
   uiTexto1 = uicontrol(...
      'Parent',janela_aviso,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0.1 0.7 0.8 0.1],...
      'String','Valores INVLIDOS!'...
      );
   uiTexto2 = uicontrol(...
      'Parent',janela_aviso,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0.1 0.6 0.8 0.1],...
      'String',''...
      );
   uiTexto3 = uicontrol(...
      'Parent',janela_aviso,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0.1 0.5 0.8 0.1],...
      'String','Os valores devem ser inteiros positivos.'...
      );
   
   % Cria o boto
   callContinua = [...
         'close(janela_aviso);'...
         'return;'...
      ];
   uiContinua = uicontrol(...
      'Style','push',...
      'Units','normalized',...
      'Position',[0.3 0.06 0.4 0.2],...
      'String','Continua',...
      'Callback',callContinua...
      );
end; %else


