% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo ajuda3_roc.m
% Exibe o texto de ajuda

% Exibio do texto de ajuda correspondente ao tpico selecionado
if (botao == 1)
   uiTexto11 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.8 0.8 0.1],...
   'String','Ajuda sobre ... Nova MI:'...
   );
   uiTexto12 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.8 0.1],...
   'String','Este boto  usado para entrar uma nova Matriz de Incidncia a ser ordenada.'...
   );
   uiTexto13 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.6 0.8 0.1],...
   'String','Primeiramente, devem ser entradas as dimenses da MI: n de mquinas X n de peas (o boto "Exemplo" gera uma MI-exemplo).'...
   );
   uiTexto14 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.8 0.1],...
   'String','Em seguida, uma matriz com as dimenses especificadas ser disponibilizada: branco = 0 e preto = 1'...
   );
   uiTexto15 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.4 0.8 0.1],...
   'String','Clicando com o mouse alterna-se o valor do elemento da MI entre 0 e 1 (inicialmente todos tm valor 0).'...
   );
   uiTexto16 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.3 0.8 0.1],...
   'String','Para finalizar, clique em "Aceita".'...
   );
break;
elseif (botao == 2)
   uiTexto21 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.8 0.8 0.1],...
   'String','Ajuda sobre ... Ordenar MI:'...
   );
   uiTexto22 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.8 0.1],...
   'String','O boto "Ordenar MI" aplica o algoritmo ROC  Matriz de Incidncia atual (mostrada na parte esquerda da tela).'...
   );
   uiTexto23 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.6 0.8 0.1],...
   'String','A MI original  substituda na tela pela MI ordenada: branco = 0 e preto = 1'...
   );
   uiTexto24 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.8 0.1],...
   'String','Vale recordar que a MI apresentada no  necessariamente a melhor soluo... Esta pode precisar de um refinamento.'...
   );
   uiTexto25 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.4 0.8 0.1],...
   'String','Esta representao da MI no mostra a ordem atual das linhas e colunas. Esta ordem pode ser acessada pelo boto "Vetores".'...
   );
   uiTexto26 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.3 0.8 0.1],...
   'String','Os resultados no gravados so perdidos na finalizao do programa ou na entrada de uma nova MI!'...
   );
break;
elseif (botao == 3)
   uiTexto31 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.8 0.8 0.1],...
   'String','Ajuda sobre ... Vetores:'...
   );
   uiTexto32 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.8 0.1],...
   'String','O boto "Vetores" apresenta de uma forma diferente a Matriz de Incidncia ordenada.'...
   );
   uiTexto33 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.6 0.8 0.1],...
   'String','Neste caso, ela  apresentada na forma de zeros e uns (exceto a primeira coluna e a primeira linha)'...
   );
   uiTexto34 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.8 0.1],...
   'String','A primeira linha e a primeira coluna correspondem, respectivamente,  ordem final das linhas e das colunas da MI original'...
   );
   uiTexto35 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.4 0.8 0.1],...
   'String','Esta representao da MI ordenada pode ser impressa (boto "Imprimir").'...
   );
   uiTexto36 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.3 0.8 0.1],...
   'String','O boto "Continua" permite voltar ao ambiente principal do programa.'...
   );
break;
elseif (botao == 4)
   uiTexto41 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.8 0.8 0.1],...
   'String','Ajuda sobre ... Salvar:'...
   );
   uiTexto42 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.8 0.1],...
   'String','Este boto grava os resultados da aplicao do algoritmo ROC em um arquivo do tipo .mat (dados do MatLab)'...
   );
   uiTexto43 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.6 0.8 0.1],...
   'String','Devem ser especificados o diretrio e o arquivo (sem espaos em branco):'...
   );
   uiTexto44 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.8 0.1],...
   'String','Exemplo:							        Diretrio:		c:\dir1\dir2\'...
   );
   uiTexto45 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.4 0.8 0.1],...
   'String','Arquivo:		teste.mat'...
   );
   uiTexto46 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.3 0.8 0.1],...
   'String','Uma mensagem de erro  ativada nos casos de sintaxe incorreta ou de diretrio inexistente.'...
   );
break;
elseif (botao == 5)
   uiTexto51 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.8 0.8 0.1],...
   'String','Ajuda sobre ... Abrir:'...
   );
   uiTexto52 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.8 0.1],...
   'String','Este boto recupera uma Matriz de Incidncia gravada em um arquivo .mat (dados do MatLab).'...
   );
   uiTexto53 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.6 0.8 0.1],...
   'String','Devem ser especificados o diretrio e o arquivo (sem espaos em branco):'...
   );
   uiTexto54 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.8 0.1],...
   'String','Exemplo:							        Diretrio:		c:\dir1\dir2\'...
   );
   uiTexto55 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.4 0.8 0.1],...
   'String','Arquivo:		teste.mat'...
   );
   uiTexto56 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.3 0.8 0.1],...
   'String','Uma mensagem de erro  ativada nos casos de sintaxe incorreta ou de arquivo inexistente.'...
   );
break;
else
   uiTexto61 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.8 0.8 0.1],...
   'String','Ajuda sobre ... Imprimir:'...
   );
   uiTexto62 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.8 0.1],...
   'String','Este boto imprime os resultados da aplicao do algoritmo ROC em uma Matriz de Incidncia definida pelo usurio.'...
   );
   uiTexto63 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.6 0.8 0.1],...
   'String','O material impresso  o acessado pelo boto "Vetores".'...
   );
   uiTexto64 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.5 0.8 0.1],...
   'String','A configurao da impresso  feita da mesma forma que em qualquer outro programa que permite impresso.'...
   );
   uiTexto65 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.4 0.8 0.1],...
   'String','Antes de imprimir certifique-se de que uma impressora est conectada e instalada em seu computador.'...
   );
   uiTexto66 = uicontrol(...
   'Parent',janela_help2,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.3 0.8 0.1],...
   'String',' '...
   );

end;