% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo ajuda_roc.m
% Exibe o menu de ajuda do programa

% Exibe a janela de ajuda
janela_help = figure(...
   'Unit','normalized',...
   'NextPlot','add',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.3,0.3,0.4,0.4],... 
   'Name','Ajuda - Algoritmo ROC',...
   'Pointer','arrow'...
   );
set(0,'Current',janela_help...
   );

% Texto de ajuda
uiTexto1 = uicontrol(...
   'Parent',janela_help,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.2 0.8 0.6 0.07],...
   'String','AJUDA AO USURIO'...
   );
uiTexto2 = uicontrol(...
   'Parent',janela_help,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.2 0.6 0.6 0.07],...
   'String','Selecione o tpico'...
   );

% Botes
callHelp_Nova_MI = [...
      'botao = 1;'...
      'ajuda2_roc;'...
   ];
uiHelp_Nova_MI = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.2 0.4 0.2 0.1],...
   'String','Nova MI',...
   'Callback',callHelp_Nova_MI...
   );

callHelp_Ordenar_MI = [...
      'botao = 2;'...
      'ajuda2_roc;'...
   ];
uiHelp_Ordenar_MI = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.4 0.2 0.1],...
   'String','Ordenar MI',...
   'Callback',callHelp_Ordenar_MI...
   );

callHelp_Vetores = [...
      'botao = 3;'...
      'ajuda2_roc;'...
   ];
uiHelp_Vetores = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.6 0.4 0.2 0.1],...
   'String','Vetores',...
   'Callback',callHelp_Vetores...
   );

callHelp_Salvar = [...
      'botao = 4;'...
      'ajuda2_roc;'...
   ];
uiHelp_Salvar = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.2 0.3 0.2 0.1],...
   'String','Salvar',...
   'Callback',callHelp_Salvar...
   );

callHelp_Abrir = [...
      'botao = 5;'...
      'ajuda2_roc;'...
   ];
uiHelp_Abrir = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.3 0.2 0.1],...
   'String','Abrir',...
   'Callback',callHelp_Abrir...
   );

callHelp_Imprimir = [...
      'botao = 6;'...
      'ajuda2_roc;'...
   ];
uiHelp_Imprimir = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.6 0.3 0.2 0.1],...
   'String','Imprimir',...
   'Callback',callHelp_Imprimir...
   );

callSobre = [...
      'botao = 1;'...
      'init_roc;'...
   ];
uiVoltar = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.35 0.2 0.3 0.1],...
   'String','Sobre...',...
   'Callback',callSobre...
   );

callVoltar = [...
      'close(janela_help);'...
      'return;'...
   ];
uiVoltar = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.35 0.1 0.3 0.1],...
   'String','Voltar',...
   'Callback',callVoltar...
   );

return;