% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Ajuda.m
% Exibe o menu de ajuda do programa

% Exibe a janela de ajuda
janela_Ajuda=figure(...
   'Unit','normalized',...
   'NextPlot','add',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.3,0.3,0.4,0.4],... 
   'Name','Ajuda - Algoritmo ROC',...
   'Pointer','arrow');
set(0,'Current',janela_Ajuda);

% Texto de ajuda
uiTexto01=uicontrol(...
   'Parent',janela_Ajuda,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0 0.8 1 0.2],...
   'String','');
uiTexto02=uicontrol(...
   'Parent',janela_Ajuda,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0 0.6 1 0.2],...
   'FontName','Helvetica',...
   'FontSize',12,...
   'FontWeight','bold',...
   'String','AJUDA AO USURIO');
uiTexto03=uicontrol(...
   'Parent',janela_Ajuda,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0 0 1 0.6],...
   'FontName','Helvetica',...
   'FontSize',12,...
   'FontWeight','bold',...
   'String','Selecione o tpico');

% Botes
callAjuda_Nova_MI=[...
      'botao=1;'...
      'Ajuda_2;'];
uiAjuda_Nova_MI=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.2 0.4 0.2 0.1],...
   'String','Nova MI',...
   'Callback',callAjuda_Nova_MI);

callAjuda_Ordenar_MI=[...
      'botao=2;'...
      'Ajuda_2;'...
   ];
uiAjuda_Ordenar_MI=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.4 0.2 0.1],...
   'String','Ordenar MI',...
   'Callback',callAjuda_Ordenar_MI);

callAjuda_Vetores=[...
      'botao=3;'...
      'Ajuda_2;'];
uiAjuda_Vetores=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.6 0.4 0.2 0.1],...
   'String','Vetores',...
   'Callback',callAjuda_Vetores);

callAjuda_Salvar=[...
      'botao=4;'...
      'Ajuda_2;'];
uiAjuda_Salvar=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.2 0.3 0.2 0.1],...
   'String','Salvar',...
   'Callback',callAjuda_Salvar);

callAjuda_Abrir=[...
      'botao=5;'...
      'Ajuda_2;'];
uiAjuda_Abrir=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.3 0.2 0.1],...
   'String','Abrir',...
   'Callback',callAjuda_Abrir);

callAjuda_Imprimir=[...
      'botao=6;'...
      'Ajuda_2;'];
uiAjuda_Imprimir=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.6 0.3 0.2 0.1],...
   'String','Imprimir',...
   'Callback',callAjuda_Imprimir);

callSobre=[...
      'botao=7;'...
      'Ajuda_2;'];
uiVoltar=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.35 0.2 0.3 0.1],...
   'String','Sobre...',...
   'Callback',callSobre);

callVoltar=[...
      'close(janela_Ajuda);'];
uiVoltar=uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.35 0.1 0.3 0.1],...
   'String','Fechar',...
   'Callback',callVoltar);
