//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Resultado.h"
#include <stdio.h>
#include <fstream.h>
#include <stdlib.h>
#include <Printers.hpp>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TResults *Results;

//************************************************************//
//************************************************************//
//************************************************************//

#define X	200

void zero();
void atualA();
int atualB();
void mover(int x);

//************************************************************//

int a[X][X-1];	// matriz dos elementos predecessores
int e[X];	// elementos da tabela
float t[X];	// tempo Tej
int listaA[X];	// numero de predecessores (Lista A)
int listaB[X];	// ListaB
int len[X];	// comprimento da string s
int linhas;	// numero de linhas da tabela
int nB;		// numero de elementos da Lista B
int r;		// elemento escolhido na Lista B
int NS;		// numero de estacoes
int ii;		// indice dos elementos das estacoes
int NES[X];	// numero de estacoes de cada solucao
int MNES[X];	// numero de estacoes da melhor solucao
int MS;		// melhor solucao

int controle = 0;

struct station
{
	int e[X];
	float t[X];
} estacao[X], melhor_est[X];

//************************************************************//

//---------------------------------------------------------------------------
__fastcall TResults::TResults(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TResults::BitBalancearClick(TObject *Sender)
{
    FILE *arq,*arq1,*arq2,*arq3,*arq4, *xfile, *res;

    arq = fopen(FileListBox1->FileName.c_str(),"r+t");
    arq1 = fopen("C:\\Elementos.txt","w+t");
    arq2 = fopen("C:\\Descricao.txt","w+t");
    arq3 = fopen("C:\\Tempo.txt","w+t");
    arq4 = fopen("C:\\Pred.txt","w+t");

    if((!arq) || (!arq1) || (!arq2) || (!arq3) || (!arq4))
    {
        MemoResultado->Lines->Clear();
        ShowMessage("Impossvel abrir arquivo!");
        fclose(arq);
        fclose(arq1);
        fclose(arq2);
        fclose(arq3);
        fclose(arq4);
        return;
    }

    int el;
    char de[200];
    float te;
    char pr[200];
    char aux[200],tes[200],els[200], c1, c2 = 'a';
    int j,k;
    int nlinhas = 0;

    for(;;)
    {
        c1 = getc(arq);
        if (c1 == '\n')
        {
                nlinhas++;
                if (c2 == '\n')
                {
                        nlinhas--;
                        break;
                }
        }
        c2 = c1;
    }
    rewind(arq);
    for(int i = 1; i <= nlinhas; i++)
    {
        j = -1;
        for (k = 0; k < 199; k++)
                aux[k] = 0;
        for (k = 0; k < 199; k++)
                els[k] = 0;

        do
        {
                j++;
                aux[j] = getc(arq);
                if (aux[j] != '\t')
                        els[j] = aux[j];
         }while(aux[j] != '\t');

        j = -1;
        for (k = 0; k < 199; k++)
                aux [k] = 0;
        for (k = 0; k < 199; k++)
                de[k] = 0;

        do
        {
                j++;
                aux[j] = getc(arq);
                if (aux[j] != '\t')
                        de[j] = aux[j];
        }while(aux[j] != '\t');


        j = -1;
        for (k = 0; k < 199; k++)
                aux [k] = 0;
        for (k = 0; k < 199; k++)
                tes[k] = 0;

        do
        {
                j++;
                aux[j] = getc(arq);
                if (aux[j] != '\t')
                        tes[j] = aux[j];
        }while(aux[j] != '\t');

        j = -1;
        for (k = 0; k < 199; k++)
                aux [k] = 0;
        for (k = 0; k < 199; k++)
                pr[k] = 0;

        do
        {
                j++;
                aux[j] = getc(arq);
                if (aux[j] != '\n')
                        pr[j] = aux[j];
        }while(aux[j] != '\n');

        fprintf(arq1,"%s\n",els);
        fprintf(arq2,"%s\n",de);
        fprintf(arq3,"%s\n",tes);
        fprintf(arq4,"%s\n",pr);
    }

    fclose(arq);
    rewind(arq1);
    fclose(arq2);
    rewind(arq3);
    rewind(arq4);

//******************************************************//

    AnsiString strBuffer;
    char tmpBuffer[200];

    xfile = fopen("C:\\resultado.txt","w+t");
    res = fopen("C:\\balanceamento.txt","w+t");

    while(! feof(arq1)) {

       fgets(tmpBuffer,200,arq1);
       if(strlen(tmpBuffer)-1 && ! feof(arq1))
          tmpBuffer[strlen(tmpBuffer)-1] = 0;
       strBuffer.printf("%s",tmpBuffer);
       strBuffer.cat_printf("%c",'\t');

       fgets(tmpBuffer,200,arq3);
       if(strlen(tmpBuffer)-1 && ! feof(arq3))
          tmpBuffer[strlen(tmpBuffer)-1] = 0;
       strBuffer.cat_printf("%s",tmpBuffer);
       strBuffer.cat_printf("%c",'\t');

       fgets(tmpBuffer,200,arq4);
       strBuffer.cat_printf("%s",tmpBuffer);

       fputs(strBuffer.c_str(),xfile);

       strBuffer = "";
       strcpy(tmpBuffer,"");

       }

    fclose(xfile);
    fclose(arq1);
    fclose(arq3);
    fclose(arq4);

//********************** Algoritmo COMSOAL ***********************//

	char *s;		// string com os elementos predecessores
	float TE;		// tempo parcial da estacao
	float temp = 0.0;
	int i, ind, cont = 0;

do
{
//=============== Inicializacao de tudo ==================//

	zero();
	TE = 0.0;

//==================== Leitura da tabela =================//

        arq1 = fopen("C:\\Elementos.txt","r+t");
        arq3 = fopen("C:\\Tempo.txt","r+t");
        arq4 = fopen("C:\\Pred.txt","r+t");

        if((!arq1) || (!arq3) || (!arq4))
        {
                ShowMessage("Impossvel abrir arquivo!");
                fclose(arq1);
                fclose(arq3);
                fclose(arq4);
                return;
        }

        char es[8], ts[8];

        for (i = 0; i < nlinhas; i++)
  	{
                strcpy(es,"");
                strcpy(ts,"");
                s = "";
                fgets(es,8,arq1);
                fgets(ts,8,arq3);
                fgets(s,200,arq4);

                e[i] = atoi(es);
                t[i] = atof(ts);

                if(t[i] > TC)
                {
                    MemoResultado->Lines->Clear();
                    MessageBox(0, " ","Aviso: Tempo de ciclo invlido!!!",0+0);
                    fclose(arq1);
                    fclose(arq3);
                    fclose(arq4);
                    fclose(res);
                    return;
                }

      		len[i] = strlen(s);

		if (len[i] == 1)
      		{
                    if (s[0] != '-')
                    {
                     	a[i][0] = atoi(s);
                     	listaA[i] = 1;
                    }
                }
		else
		{
        		listaA[i] = (int) (len[i]+1)/2;
			k = 0;
        		for (j = 0; j < listaA[i]; j++)
        		{
				a[i][j] = atoi(s++);
				s++;
			}
		}
	}
        linhas = nlinhas;
        fclose(arq1);
        fclose(arq3);
        fclose(arq4);

// ================ Atualizacao das Listas A e B ============== //

        atualA();
	nB = atualB();		// Lista B

// ====================== COMSOAL ==============================//

        int r;
        r = rand() % nB;
	TE = t[listaB[r]-1];
	mover(e[listaB[r]-1]);

	do
	{
		i = 0;
		while (i < nB)
		{
 		    for (j = 0; j < linhas; j++)
		    {
			if (listaB[i] == e[j])
			{
			    temp = t[j];
			    break;
			}
		    }
		    if ((temp+TE) <= TC)
		    {
			TE += temp;
			mover(listaB[i]);
			i = -1;
		    }
		    i++;
		}

		NES[NS] = ii;
		NS++;
		ii = 0;
		TE = 0.0;

	}while(linhas);

	if (cont == 0)
	{
            for (int cu = 0; cu < X; cu++)
	        MNES[cu] = NES[cu];
	    MS = NS;
	    for (i = 0; i < NS; i++)
		melhor_est[i] = estacao[i];
	}

	cont++;

	if (NS < MS)
	{
	    for (i = 0; i < MS; i++)
		for (j = 0; j < NES[i]; j++)
		{
		     melhor_est[i].e[j] = 0;
		     melhor_est[i].t[j] = 0.0;
		}

	    for (i = 0; i < NS; i++)
		melhor_est[i] = estacao[i];

            for (int cu = 0; cu < X; cu++)
                MNES[cu] = NES[cu];
	    MS = NS;
	}

}while(cont < NI);

if(!res)
{
        ShowMessage("Impossvel abrir arquivo!");
        exit(1);
}

char etemp[8];
AnsiString ttemp;
float tparcial = 0.0;

for (i = 0; i < MS; i++)
{
    fprintf(res,"Estacao %d:\n",i+1);
    tparcial = 0.0;
    for (j = 0; j < MNES[i]; j++)
    {
        tparcial += melhor_est[i].t[j];
        fprintf(res,"\tProcesso %d\tTempo = %.4f\n",melhor_est[i].e[j],melhor_est[i].t[j]);
    }
    fprintf(res,"\t\t\tTempo da estacao = %.4f\n",tparcial);
    fputc('\n',res);
}
fclose(res);

MemoResultado->Lines->LoadFromFile("C:\\balanceamento.txt");

controle = 1;

DeleteFile("C:\\Elementos.txt");
DeleteFile("C:\\Descricao.txt");
DeleteFile("C:\\Tempo.txt");
DeleteFile("C:\\Pred.txt");
DeleteFile("C:\\resultado.txt");

//////////////////////////////////////////////////////////////////////////

//**************************** FIM DO PROGRAMA *************************//

//////////////////////////////////////////////////////////////////////////

//****************************************************************//
}
//---------------------------------------------------------------------------

void __fastcall TResults::BitSalvarClick(TObject *Sender)
{
if(SaveDialog1->Execute())
{
        MemoResultado->Lines->SaveToFile(SaveDialog1->FileName);
        FileListBox1->Update();
}
}
//---------------------------------------------------------------------------


void __fastcall TResults::BitImprimirClick(TObject *Sender)
{
        FILE *imp = fopen("C:\\balanceamento.txt","r+t");

        if((!imp) || (controle == 0))
        {
                ShowMessage("Impossvel imprimir!");
                fclose(imp);
                return;
        }

        char temp[200];

        FILE *lpt = fopen("LPT1:","r+t");

        fputs("Resultado do balanceamento da linha de montagem:\n\n",lpt);

        while(!feof(imp))
        {
                strcpy(temp,"");
                fgets(temp,200,imp);
                fputs(temp,lpt);
        }

        fputs("\n\n\nSistema de Balanceamento de Linhas de Montagem\n",lpt);
        fputs("Desenvolvido por:\n",lpt);
        fputs("Julio Vital Diniz de Paula (97/23536)\nEduardo Takashi Togawa (97/23421)",lpt);

        fclose(imp);
        fclose(lpt);
}
//---------------------------------------------------------------------------

void zero()
{
	int i, j;

	for (i = 0; i < X; i++)
	{
		e[i] = 0;
		t[i] = 0.0;
		len[i] = 0;
		NES[i] = 0;
		listaA[i] = 0;
		listaB[i] = 0;
		for (j = 0; j < X-1; j++)
			a[i][j] = 0;
	}

	NS = 0;
	ii = 0;
}

void atualA()
{
	int i, j;

	for (i = 0; i < linhas; i++)
	{
	    listaA[i] = 0;
	    for (j = 0; j < linhas-1; j++)
		if (a[i][j] != 0)
		    listaA[i]++;
	}

	return;
}

int atualB()
{
	int i, n = 0;

	for (i = 0; i < X; i++)
		listaB[i] = 0;

	for (i = 0; i < linhas; i++)
	    if (listaA[i] == 0)
	    {
		listaB[n] = e[i];
		n++;
	    }

	return n;
}

void mover(int x)
{

	int i, j, k, l;

	for (i = 0; i < linhas; i++)
	    if (x == e[i])
	    {
		estacao[NS].e[ii] = e[i];
		estacao[NS].t[ii] = t[i];
		ii++;

		for (j = 0; j < linhas; j++)
		    for (k = 0; k < listaA[j]; k++)
			if (a[j][k] == x)
			{ 
			    for (l = k; l < listaA[j]; l++)
				a[j][l] = a[j][l+1];
			}

		atualA();

		for (j = i; j < linhas; j++)
		{
		    e[j] = e[j+1];
		    e[j+1] = 0;
		    t[j] = t[j+1];
		    t[j+1] = 0.0;

		    for (k = 0; k < listaA[j+1]; k++)
		    {
			if (j < linhas)
			{
			    a[j][k] = a[j+1][k];
			    a[j+1][k] = 0;
			}
			else
			    a[j][k] = 0;
		    }
		}

		linhas--;
		atualA();
		nB = atualB();
		break;
	    }
}
//****************************************************************//

//---------------------------------------------------------------------------



void __fastcall TResults::BitLimparClick(TObject *Sender)
{
MemoResultado->Lines->Clear();
controle = 0;        
}
//---------------------------------------------------------------------------

