% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo ordena_MI_roc.m
% Ordena as linhas e colunas da MI como se fossem vetores binrios

troca=1; % Varivel de teste de ordenao 
while troca
   troca=0;
   % Ordenao das linhas
   for i=2:length(MI(:,1))
      for j=length(MI(:,1)):-1:i
         if bin2dec( sprintf( '%g',MI(j-1,:) ) ) < bin2dec( sprintf( '%g',MI(j,:) ) )
            MI=troca_linha_roc(MI,j-1,j);
            Maquina=troca_linha_roc(Maquina,j-1,j);
            troca=1;
         end;
      end;
   end;
   % Ordenao das colunas
   for i=2:length(MI(1,:))
      for j=length(MI(1,:)):-1:i
         if bin2dec( sprintf( '%g',MI(:,j-1) ) ) < bin2dec( sprintf( '%g',MI(:,j) ) )
            MI=troca_coluna_roc(MI,j-1,j);
            Peca=troca_coluna_roc(Peca,j-1,j);
            troca=1;
         end;
      end;
   end;
end; %while

% Monta o texto de organizao dos vetores
Smaquina=' ';
for i=1:linha
   t=double(num2str(Maquina(i,1)));
   Smaquina=[Smaquina t 45];
end;
Smaquina(length(Smaquina))=' ';
Speca=' ';
for i=1:coluna
   t=double(num2str(Peca(1,i)));
   Speca=[Speca t 45];
end;
Speca(length(Speca))=' ';

mostra_MI_roc;